package com.xplora.contactprovider

import android.content.ContentResolver
import android.content.ContentValues
import android.net.Uri

class TestUtil {
    companion object {
        internal var alarmId = 1
        const val me = "1a2b3c4d"
        const val other = "4e6f7g8h"
    }

    fun insertNewContactMessage(contentResolver: ContentResolver) {
/*        val contentValues = ContentValues()
        contentValues.put("msgId", alarmId++.toString())
        val type = if ((0..100).random() % 2 == 0) 100 else 101
        if (type == 100) {
            contentValues.put("emojiId", "emo_${(1001..1024).random()}")
        } else {
            contentValues.put("text", "test_${('a'..'z').random()}${(0..999).random()}")
        }
        contentValues.put("state", 1)
        contentValues.put("senderUserId", other)
        contentValues.put("receiverId", me)
        contentValues.put("create", System.currentTimeMillis())
        contentValues.put("update", System.currentTimeMillis())
        val uri = contentResolver.insert(
            Uri.parse("content://com.xplora.WatchCommonProvider/chat"), contentValues
        )
        Log.d("db_test", "insert alarm end : $uri")*/
    }
}